commit:     7d45e4bf50099e2165d4419acea67804068487a2
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Mar  9 17:51:55 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Mar  9 17:52:42 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7d45e4bf

dev-python/urllib3: Skip tests requiring 'localhost.' resolvable

Closes: https://bugs.gentoo.org/711920
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/urllib3/urllib3-1.25.8.ebuild | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/dev-python/urllib3/urllib3-1.25.8.ebuild 
b/dev-python/urllib3/urllib3-1.25.8.ebuild
index 66703bcc3a1..3279a2e0cbe 100644
--- a/dev-python/urllib3/urllib3-1.25.8.ebuild
+++ b/dev-python/urllib3/urllib3-1.25.8.ebuild
@@ -53,6 +53,11 @@ python_prepare_all() {
                -i test/with_dummyserver/test_https.py || die
        sed -e 's:test_https_proxy_.*timeout:_&:' \
                -i test/with_dummyserver/test_proxy_poolmanager.py || die
+       # tests failing if 'localhost.' cannot be resolved
+       sed -e 's:test_dotted_fqdn:_&:' \
+               -i test/with_dummyserver/test_https.py || die
+       sed -e 's:test_request_host_header_ignores_fqdn_dot:_&:' \
+               -i test/with_dummyserver/test_socketlevel.py || die
        # no clue why those fail, might be tornado's fault, might be just
        # very flaky
        sed -e 's:test_client_no_intermediate:_&:' \

Reply via email to